/**
 * OW2 Util
 * Copyright (C) 2008 Bull S.A.S.
 * Contact: easybeans@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA
 *
 * --------------------------------------------------------------------------
 * $Id: IEJBLocalRef.java 4389 2008-12-15 13:48:57Z alitokmen $
 * --------------------------------------------------------------------------
 */

package org.ow2.util.ee.metadata.common.api.xml.struct;

/**
 * Interface used for ejb-local-ref element.
 * @author Florent Benoit
 */
public interface IEJBLocalRef extends ICommonEJBRef {

    /**
     * Name of this element.
     */
    String NAME = "ejb-local-ref";

    /**
     * @return the local element
     */
    String getLocal();

    /**
     * Sets the value of local element.
     * @param local value of local element
     */
    void setLocal(final String local);

    /**
     * @return the local home element
     */
    String getLocalHome();

    /**
     * Sets the value of home element.
     * @param localHome value of local home element
     */
    void setLocalHome(final String localHome);

}
